CTERMID(3)

NAME
ctermid - generate terminal pathname

SYNOPSIS
#include <stdio.h>
char *
ctermid(char *buf);

DESCRIPTION
The ctermid() function generates a string that, when used as a pathname, refers to the current controlling terminal of the calling process.

If buf is a null pointer, a pointer to a static area is returned. Otherwise, the pathname is copied into the memory referenced by buf. The argument buf is assumed to point to an array at least L_ctermid (as defined in the include file <stdio.h>) bytes long.

The current implementation simply generates "/dev/tty".

RETURN VALUES
The ctermid() function returns a non-null pointer, which is equal to the buf argument if it is not NULL.

ERRORS
The current implementation detects no error conditions.

SEE ALSO
ttyname(3)

STANDARDS
The ctermid() function conforms to p1003.1-88.